Package twisted :: Package lore :: Module lint

[frames | no frames]

## Module twisted.lore.lint

Classes
`DefaultTagChecker` |
`TagChecker` |

Function Summary
| `doFile(file, checker)`
| `getDefaultChecker()`
| `list2dict(l)`

Variable Summary
`dict` | `a` = `{'html-listing': None, 'absolute': None, 'py-listing...`
`dict` | `allowed` = `{'a': <built-in method has_key of dict object ...`
`dict` | `classes` = `{'py-src-keyword': None, 'py-src-parameter': N...`
`dict` | `div` = `{'note': None, 'doit': None, 'boxed': None}`
`tuple` | `parserErrors` = `(<class exceptions.SyntaxError at 0x8104a...`
`dict` | `pre` = `{'python': None, 'shell': None, 'elisp': None, 'py...`
`dict` | `span` = `{'footnote': None, 'index': None, 'manhole-output...`
`dict` | `tags` = `{'body': None, 'em': None, 'head': None, 'code': ...`

Variable Details

### a

  Type:
    `dict`
  Value:

        {'html-listing': None, 'absolute': None, 'py-listing': None, 'listing'\
        : None}

### allowed

  Type:
    `dict`
  Value:

        {'a': <built-in method has_key of dict object at 0x8be1a04>,
         'code': <built-in method has_key of dict object at 0x8b3a21c>,
         'div': <built-in method has_key of dict object at 0x8b5575c>,
         'li': <function <lambda> at 0x8bb27fc>,
         'ol': <function <lambda> at 0x8b92254>,
         'pre': <built-in method has_key of dict object at 0x8ba1954>,
         'span': <built-in method has_key of dict object at 0x8bb6354>,
         'ul': <function <lambda> at 0x8b56724>}

### classes

  Type:
    `dict`
  Value:

        {'API': None,
         'py-filename': None,
         'py-prototype': None,
         'py-signature': None,
         'py-src-identifier': None,
         'py-src-keyword': None,
         'py-src-parameter': None,
         'py-src-string': None,
        ...

### div

  Type:
    `dict`
  Value:

        {'note': None, 'doit': None, 'boxed': None}

### parserErrors

  Type:
    `tuple`
  Value:

        (<class exceptions.SyntaxError at 0x8104a04>,
         <class parser.ParserError at 0x837c88c>)

### pre

  Type:
    `dict`
  Value:

        {'python': None, 'shell': None, 'elisp': None, 'python-interpreter': N\
        one}

### span

  Type:
    `dict`
  Value:

        {'footnote': None, 'index': None, 'manhole-output': None}

### tags

  Type:
    `dict`
  Value:

        {'a': None,
         'blockquote': None,
         'body': None,
         'cite': None,
         'code': None,
         'dd': None,
         'div': None,
         'dl': None,
        ...

Generated by Epydoc 2.0 on Sat May 15 20:07:51 2004 | http://epydoc.sf.net